Bug 123234 - Missing characters while exporting to PDF using certain fonts (Win fixed, Lin not)
Summary: Missing characters while exporting to PDF using certain fonts (Win fixed, Lin...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, filter:pdf, needUITest, regression
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2019-02-07 19:20 UTC by tamius.han
Modified: 2021-06-23 03:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the issue (313.71 KB, image/png)
2019-02-07 19:22 UTC, tamius.han
Details
Sample document (4.64 MB, application/vnd.oasis.opendocument.text)
2019-02-07 19:25 UTC, tamius.han
Details
Sample document gets rendered as this (26.11 KB, application/pdf)
2019-02-07 19:26 UTC, tamius.han
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tamius.han 2019-02-07 19:20:24 UTC
When exporting to PDF, certain special characters (žščć) do not appear in exported PDF.

Said characters are definitely supported by the font, though, as Writer (and every other program for that matter) renders them without a problem. They only go missing when exporting to PDF.
Comment 1 tamius.han 2019-02-07 19:22:11 UTC
Created attachment 148987 [details]
Screenshot of the issue
Comment 2 tamius.han 2019-02-07 19:25:52 UTC
Created attachment 148988 [details]
Sample document
Comment 3 tamius.han 2019-02-07 19:26:51 UTC
Created attachment 148989 [details]
Sample document gets rendered as this
Comment 4 tamius.han 2019-02-07 19:27:50 UTC
IM Fell fonts are provided by otf-im-fell-types package in AUR (arch user repository): https://aur.archlinux.org/packages/otf-im-fell-types/
Comment 5 Durgapriyanka 2019-02-08 16:16:41 UTC
Thank you for reporting the bug. I can confirm the bug present in

Version: 6.3.0.0.alpha0+
Build ID: b6b28931435e44aca92b8c0e1659f701e3ed1a87
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-30_06:57:04
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 6 Xisco Faulí 2019-02-12 17:38:15 UTC
Also reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.15; Render: default; 

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

but not in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 7 Buovjaga 2019-02-12 19:59:28 UTC
(In reply to Xisco Faulí from comment #6)
> but not in
> 
> Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

Weird: I repro in oldest of 41max, oldest of 43all (+ last36onmaster).
Comment 8 Buovjaga 2019-04-15 15:59:24 UTC
Repro in oldest commit of win32-4.3
Comment 9 Timur 2021-03-19 10:17:57 UTC
Repro 6.3.0 and no repro 6.4.0 and 7.2+ in Windows. So fixed but rebisect and I guess UI test would be useful. 

Linux still has a bug in 7.2+. GUI and headless seem to be different. 
In bibisect repo 50max latest is good and 5.2 oldest is wrong with headless, so not bibisectable that way. 
In 41max oldest is good and latest is bad, I used GEN.
Comment 10 Timur 2021-03-19 10:53:25 UTC Comment hidden (me-too)
Comment 11 Timur 2021-03-19 10:55:55 UTC
This was an awful bibisect, should be required for Lo blue belt bisecter. 
Many skips and steps... and all the time it says "roughly 4 steps".. some very rough math. 

This is 41max in Linux with GUI. Bug remains for Linux.

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
b6ed4fca00cec2faf60262d702817d532258d68f
87e6138fe7681d6bffef04ab6304e483ce2551f7
daa65cbd7cd2a193678198ae242ef8fed33f7576
1f66a56fd30b5611a9129bf4402a3c986dc69b2b
85da0fd701448b1f035a18a34602167fcadaf462
4b1f7f25690ad6bde3975dec671ea1b457b5132d
ae5dbbddb6e684791cf2fddc27c45bf1da3a78bf
0986d318be3aef386449043f2bfaca0bd98cf76a
62b586dc376511e2369631b590b3ef36a3842e2a
27f625d272b1dd9359502bd1ac9770b028438a3c
95f4446c4033a0dbaf5909796a85a4a07511b0aa
c30c2df69f58b374de21ea5399dc64bb6434d0a5
dd713adb93501f041cb31e6757067d3c47da7a42
39687e50db67d53895c29132cd3eb19887a7da8c
56ded12a29a26967a02646c8c083db5335b2381d
191b4bc7dc49a60fc159a41feab7a69f83313f68
d0abbbacb1a4baa1a0d3067884c60a47e1da9449
b14e4b89aca69a9aac058079abc9c2cfd4369b6d
bb7115cfe8a895f78505db7dc4360fa6ae257e28
51e732c17ca8782d1ff760b46528a168615e868e
ec984d1c0c6cf914085624792b86efb887238c6f
6c20057bbcfc5440f0dc1d1e08a6b795d7640ea1
We cannot bisect more!
Comment 12 Timur 2021-03-19 11:14:12 UTC
@Xisco, please see if the sources for previous bibisect commits are of some value, just 11 of them:
https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=6db8d0ba581463dfe1a791404044e7b1a1051bfa..c12ab867f282e783507fcf74ab5c90e784681f65